package com.cloudcross.ssp.back.service;



import java.util.HashMap;
import java.util.List;

import com.cloudcross.ssp.back.model.Account;
import com.cloudcross.ssp.base.service.BaseService;
import com.cloudcross.ssp.pulgin.mybatis.plugin.PageView;



public interface IAccountService extends BaseService<Account>{
	public Account querySingleAccount(String accountName);
	public Account isExist(String accountName);
	/**
	 * 验证用户登陆
	 * @author lanyuan
	 * Email：mmm333zzz520@163.com
	 * date：2014-2-25
	 * @param Account account
	 * @return
	 */
	public boolean addAccount(Account account);
	public Account countAccount(Account account);
	/**
	 * @param account
	 * @param pageView
	 * @return
	 */
	public PageView queryNoMatch(Account account,PageView pageView);
	public boolean updateState(List<Long> idList, int status);
	public boolean editAccount(Account t);
	public List<Account> findExcelAccounts(HashMap<String, Object> paramMap);
}
